Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.core
Class ClassCorrector

    java.lang.Object
      com.sun.tdk.signaturetest.core.ClassCorrector

All Implemented Interfaces:
  Transformer

    public class ClassCorrector

extends java.lang.Object
implements Transformer

ClassCorrector is the main part of solving problems related with hidden language elements

- public class (interface) extends package local class (interface)
  Sigtest should ignore base class and/or implemented interfaces and move all visible base's members to the nearest visible SUBclass like Javadoc do since version 1.5.
- public inner class extends private inner class
  Similar solution. But Javadoc ignores such classes and it looks like a bug in Javadoc
- public method throws private exception
  Sigtest should substitute invisible exception to the nearest visible SUPERclass. Javadoc doesn't do it and as result it generates insufficient documentation

Field Summary
`protected ClassHierarchy` | `classHierarchy`

Constructor Summary
`ClassCorrector(Log log)`

Method Summary
`protected void` | `removeSuperInterfaces(java.util.Set interfaces)`
`ClassDescription` | `transform(ClassDescription cl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classHierarchy

    protected ClassHierarchy classHierarchy

Constructor Detail

### ClassCorrector

    public ClassCorrector(Log log)

Method Detail

### transform

    public ClassDescription transform(ClassDescription cl)
                               throws java.lang.ClassNotFoundException

  Specified by:
    `transform` in interface `Transformer`
  Throws:
    `java.lang.ClassNotFoundException`

### removeSuperInterfaces

    protected void removeSuperInterfaces(java.util.Set interfaces)
                                  throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD